SmilesParseOps.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Bond.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| SmilesParseOps

## Functions

void | SmilesParseOps::CheckRingClosureBranchStatus (RDKit::Atom *atom, RDKit::RWMol *mp)
void | SmilesParseOps::ReportParseError (const char *message, bool throwIt=true)
void | SmilesParseOps::CleanupAfterParseError (RDKit::RWMol *mol)
void | SmilesParseOps::AddFragToMol (RDKit::RWMol *mol, RDKit::RWMol *frag, RDKit::Bond::BondType bondOrder=RDKit::Bond::UNSPECIFIED, RDKit::Bond::BondDir bondDir=RDKit::Bond::NONE, bool closeRings=false, bool doingQuery=false)
RDKit::Bond::BondType | SmilesParseOps::GetUnspecifiedBondType (const RDKit::RWMol *mol, const RDKit::Atom *atom1, const RDKit::Atom *atom2)
void | SmilesParseOps::CloseMolRings (RDKit::RWMol *mol, bool toleratePartials)
void | SmilesParseOps::SetUnspecifiedBondTypes (RDKit::RWMol *mol)
void | SmilesParseOps::AdjustAtomChiralityFlags (RDKit::RWMol *mol)
void | SmilesParseOps::CleanupAfterParsing (RDKit::RWMol *mol)
void | SmilesParseOps::parseCXExtensions (RDKit::RWMol &mol, const std::string &extText, std::string::const_iterator &pos)
void | SmilesParseOps::ClearAtomChemicalProps (RDKit::Atom *atom)
| removes formal charge, isotope, etc. Primarily useful for QueryAtoms More...